Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Here is a list of all documented class members with links to the class documentation for each member:

### - i -

- id_map : faiss::IndexIDMap
- ids : faiss::HeapArray< C > , faiss::IndexIVF
- idx_t : faiss::Index
- imbalance_factor() : faiss::IndexIVF
- index : faiss::IndexPreTransform
- IndexIVF() : faiss::IndexIVF
- IndexPQ() : faiss::IndexPQ
- IndexPreTransform() : faiss::IndexPreTransform
- IndexScalarQuantizer() : faiss::IndexScalarQuantizer
- IndexShards() : faiss::IndexShards
- IndexSplitVectors() : faiss::IndexSplitVectors
- indicesOptions : faiss::gpu::GpuClonerOptions , faiss::gpu::GpuIndexIVFConfig
- indicesOptions_ : faiss::gpu::IVFBase
- init() : faiss::RandomRotationMatrix
- init_cost : faiss::SimulatedAnnealingOptimizer
- initialize() : faiss::ParameterSpace , faiss::gpu::GpuParameterSpace
- initializeForDevice() : faiss::gpu::GpuResources , faiss::gpu::StandardGpuResources
- is_trained : faiss::VectorTransform , faiss::Index
- isConsistentlySized() : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- isContiguous() : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- isContiguousDim() : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- isOwner_ : faiss::gpu::StackDeviceMemory::Stack
- isSame() : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- isSupportedNoPrecomputedSubDimSize() : faiss::gpu::IVFPQ
- isSupportedPQCodeLength() : faiss::gpu::IVFPQ
- IVFBase() : faiss::gpu::IVFBase
- IVFFlat() : faiss::gpu::IVFFlat
- IVFPQ() : faiss::gpu::IVFPQ